Package Details: routersploit 3.4.0-1

Git Clone URL: https://aur.archlinux.org/routersploit.git (read-only)
Package Base: routersploit
Description: An open-source exploitation framework dedicated to embedded devices.
Upstream URL: https://github.com/threat9/routersploit
Keywords: development exploit network simple
Licenses: BSD
Submitter: edh
Maintainer: edh
Last Packager: edh
Votes: 3
Popularity: 0.035148
First Submitted: 2016-04-28 21:43
Last Updated: 2018-10-18 19:35

Required by (0)

Sources (1)

Latest Comments

daedallus commented on 2018-08-30 11:00

@edh Sorry for that , next time i'll be more careful. And thanks for the hints . A simple "pip install pysnmp" worked for me .

edh commented on 2018-08-28 10:16

@daedallus Please use a pastebin server to host lengthy log excerpts instead of posting them to the comment section as is. At the very least, wrap the log into a code block.

The described error is due to the fact that your pysnmp version respectively the python-pysnmp package has not been build against python3.7 and still only provides a module for 3.6 while the routersploit script always uses the latest python3 version and therefore can not find the module. Simply update python-pysnmp manually and routersploit will work again. Just rebuilding the python-pysnmp package without modifying anything within in its PKGBUILD will be sufficient.

daedallus commented on 2018-08-28 09:58

Every time i use scanners/autopwn and run this is what i get. rsf > use scanners/autopwn rsf (AutoPwn) > set target 192.168.1.1 [+] target => 192.168.1.1 rsf (AutoPwn) > run [*] Running module...

[*] Starting vulnerablity check... Traceback (most recent call last): File "/opt/routersploit/routersploit/core/exploit/utils.py", line 80, in import_exploit module = importlib.import_module(path) File "/usr/lib/python3.7/importlib/init.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap="">", line 1006, in _gcd_import File "<frozen importlib._bootstrap="">", line 983, in _find_and_load File "<frozen importlib._bootstrap="">", line 967, in _find_and_load_unlocked File "<frozen importlib._bootstrap="">", line 677, in _load_unlocked File "<frozen importlib._bootstrap_external="">", line 728, in exec_module File "<frozen importlib._bootstrap="">", line 219, in _call_with_frames_removed File "/opt/routersploit/routersploit/modules/exploits/routers/thomson/twg849_info_disclosure.py", line 2, in <module> from routersploit.core.snmp.snmp_client import SNMPClient File "/opt/routersploit/routersploit/core/snmp/snmp_client.py", line 1, in <module> from pysnmp.entity.rfc3413.oneliner import cmdgen ModuleNotFoundError: No module named 'pysnmp'</module></module></frozen></frozen></frozen></frozen></frozen></frozen>

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/opt/routersploit/routersploit/interpreter.py", line 334, in command_run self.current_module.run() File "/opt/routersploit/routersploit/modules/scanners/autopwn.py", line 51, in run for module in utils.iter_modules(directory): File "/opt/routersploit/routersploit/core/exploit/utils.py", line 103, in iter_modules yield import_exploit(path) File "/opt/routersploit/routersploit/core/exploit/utils.py", line 93, in import_exploit "Use <tab> key multiple times for completion.".format(humanize_path(path), err) routersploit.core.exploit.exceptions.RoutersploitException: Error during loading 'routersploit/modules/exploits/routers/thomson/twg849_info_disclosure'</tab>

Error: No module named 'pysnmp'

It should be valid path to the module. Use <tab> key multiple times for completion.</tab>

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "./rsf.py", line 26, in <module> routersploit() File "./rsf.py", line 22, in routersploit rsf.start() File "/opt/routersploit/routersploit/interpreter.py", line 116, in start command_handler(args) File "/opt/routersploit/routersploit/core/exploit/utils.py", line 138, in wrapper return fn(self, args, kwargs) File "/opt/routersploit/routersploit/interpreter.py", line 339, in command_run print_error(traceback.format_exc(sys.exc_info())) File "/usr/lib/python3.7/traceback.py", line 163, in format_exc return "".join(format_exception(sys.exc_info(), limit=limit, chain=chain)) File "/usr/lib/python3.7/traceback.py", line 117, in format_exception type(value), value, tb, limit=limit).format(chain=chain)) File "/usr/lib/python3.7/traceback.py", line 485, in init _seen=_seen) File "/usr/lib/python3.7/traceback.py", line 496, in init capture_locals=capture_locals) File "/usr/lib/python3.7/traceback.py", line 331, in extract if limit >= 0: TypeError: '>=' not supported between instances of 'tuple' and 'int'</module>

Is there any fix for this ? Thanks.

edh commented on 2018-01-30 20:48

@MrHritik

It seems like you are using a corrupted unofficial repository which is delivering a pre-build binary of a package baring the same name as this one. You problem description (respectively you paste of a plain error message) is not due to anything related to this PKGBUILD. Please make sure you understand how to properly use the Arch User Repository and the Arch Build System prior to using unofficial repositories or any other helpers.

EDIT: This refers to a comment which has since been deleted.

edh commented on 2017-02-02 10:08

@GI_Jack
Upstream moved the git tag to a different commit thereby breaking the checksums. This is bad practice and very unusual. However I updated the checksums accordingly hoping they will not do this again.

Sorry for the inconvenience.

GI_Jack commented on 2017-02-02 08:56

==> Validating source files with sha512sums...
routersploit_v2.2.1.tar.gz ... FAILED


double check the hash sum.

edh commented on 2016-05-17 18:18

@peoro
Thanks for the report! This was fixed in a recent commit [1] without me noticing it.

[1] https://github.com/reverse-shell/routersploit/commit/d3738a696cfcbd2124f238998caa6ea3b7dc52dd

peoro commented on 2016-05-17 17:02

This package (as well as routersploit-git) is broken.

the PKGBUILD build function runs `sed -i 's/\/usr\/bin\/env python/\/usr\/bin\/python2/' ./rsf.py`, but the mainstream `rsf.py` already uses python2 as interpreter: https://github.com/reverse-shell/routersploit/blame/master/rsf.py

The result is rsf.py starting with `#!/usr/bin/python22`:

$ rsf
/usr/bin/rsf: /opt/routersploit/rsf.py: /usr/bin/python22: bad interpreter: No such file or directory
/usr/bin/rsf: line 2: /opt/routersploit/rsf.py: Success